# Uses of Interface
org.eclipse.emf.cdo.server.IRepositorySynchronizer

Packages that use IRepositorySynchronizer
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.server.net4j
Server concepts for dealing with Net4j-based repositories and fail-over infrastructure.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.

## Uses of IRepositorySynchronizer in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return IRepositorySynchronizer
Modifier and Type
Method
Description
`static IRepositorySynchronizer`
CDOServerUtil.`createRepositorySynchronizer(CDOSessionConfigurationFactory remoteSessionConfigurationFactory)`
`IRepositorySynchronizer`
ISynchronizableRepository.`getSynchronizer()`
Methods in org.eclipse.emf.cdo.server with parameters of type IRepositorySynchronizer
Modifier and Type
Method
Description
`static ISynchronizableRepository`
CDOServerUtil.`createFailoverParticipant(String name, IStore store, Map<String,String> props, IRepositorySynchronizer synchronizer)`
`static ISynchronizableRepository`
CDOServerUtil.`createFailoverParticipant(String name, IStore store, Map<String,String> props, IRepositorySynchronizer synchronizer, boolean master)`
`static ISynchronizableRepository`
CDOServerUtil.`createFailoverParticipant(String name, IStore store, Map<String,String> props, IRepositorySynchronizer synchronizer, boolean master, boolean allowBackupCommits)`
`static ISynchronizableRepository`
CDOServerUtil.`createOfflineClone(String name, IStore store, Map<String,String> props, IRepositorySynchronizer synchronizer)`

## Uses of IRepositorySynchronizer in org.eclipse.emf.cdo.server.net4j

Methods in org.eclipse.emf.cdo.server.net4j that return IRepositorySynchronizer
Modifier and Type
Method
Description
`protected IRepositorySynchronizer`
FailoverAgent.`createRepositorySynchronizer()`

## Uses of IRepositorySynchronizer in org.eclipse.emf.cdo.spi.server

Subinterfaces of IRepositorySynchronizer in org.eclipse.emf.cdo.spi.server
Modifier and Type
Interface
Description
`interface`
`InternalRepositorySynchronizer`
If the meaning of this type isn't clear, there really should be more of a description here...